Ubuntu 10.04 Lucid Lynx released: upgrade ispconfig

Discussion in 'Installation/Configuration' started by voidzero, May 1, 2010.

  1. voidzero

    voidzero New Member

    Greetings,

    "Is it safe™" to update a Karmic+ispconfig 3 server to Lucid? Any tips or things to care about when going for the upgrade?

    Thank you,

    Mark
     
  2. primal23

    primal23 New Member

    On my test server everything works fine but mydns. Seems as though libmysqlclient.so.15 is removed and upgraded, maybe instead of removing the old files (not the ones I told Ubuntu to not change) would solve this. I am either going to try and start over w/ Karmic and do another upgrade, or try and find the package(as of yet no luck).
     
  3. falko

    falko Super Moderator ISPConfig Developer

    What's the output of
    Code:
    updatedb
    locate libmysqlclient.so.16
    ? Maybe you can create a symlink from libmysqlclient.so.16 to libmysqlclient.so.15.
     
  4. primal23

    primal23 New Member

    libmysqlclient.so.16 is in /usr/lib


    Hope that helps

    thanks
     
  5. primal23

    primal23 New Member

    Ok, got a symlink going to 16 from 15, now I can't restart mydns due to libmysqlclient_15 not being in /usr/local/sbin/mydns

    Tried doing a locate libmysqlclient_16 didn't get any results.

    Getting closer! :)
     
  6. falko

    falko Super Moderator ISPConfig Developer

    What's the exact error message?

    You should've created a symlink from 15 to 16, not the other way round...
     
  7. primal23

    primal23 New Member

    Restarting DNS server: mydns/usr/local/sbin/mydns: /usr/lib/libmysqlclient.so.15: version `libmysqlclient_15' not found (required by /usr/local/sbin/mydns)

    lrwxrwxrwx 1 root root 20 2010-05-04 09:52 libmysqlclient.so.15 -> libmysqlclient.so.16


    Is this correct?

    Thanks
     
  8. primal23

    primal23 New Member

    I reinstalled Karmic, and then upgraded, and libmysqlclient15 was on the remove or keep list, so I kept everything, and mydns works fine. So for me, since this wasn't something that was in service the reinstall and keep worked fine.
     
  9. u4david

    u4david New Member

    in the long run

    should i expect that after upgrade if everything works it will get broken in the long run?

    I suspect that packages that instructed to remove on upgrade will luse support or will get absolute.

    Or do they?
     
  10. primal23

    primal23 New Member

    I have had no big problems, everything other than a minor thing works flawlessly.
     
  11. u4david

    u4david New Member

  12. u4david

    u4david New Member

    More details

    did you through the install replaced any current con-fig files with the maintainers version or did you keep all current?
     

Share This Page